# Created by pyp2rpm-3.3.2
%global pypi_name pylama

Name:           python-%{pypi_name}
Version:        8.4.1
Release:        %mkrel 1
Summary:        Code audit tool for Python and JavaScript
Group:          Development/Python
License:        LGPLv2
URL:            https://github.com/klen/pylama
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Code audit tool for Python and JavaScript.

%package -n     python3-%{pypi_name}
Summary:        Code audit tool for Python and JavaScript
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Code audit tool for Python and JavaScript.

%prep
%autosetup -n %{pypi_name}-%{version}


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pylama

rm -rf %{buildroot}%{python3_sitelib}/tests/

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%{_bindir}/pylama


%changelog
* Wed Nov 02 2022 papoteur <papoteur> 8.4.1-1.mga9
+ Revision: 1901666
- new 8.4.1

* Wed Mar 23 2022 umeabot <umeabot> 8.3.7-2.mga9
+ Revision: 1822801
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 8.3.7-1.mga9
+ Revision: 1775497
- version 8.3.7
- rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 7.7.1-3.mga9
+ Revision: 1706418
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 7.7.1-2.mga8
+ Revision: 1530960
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 wally <wally> 7.7.1-1.mga8
+ Revision: 1437966
- new version 7.7.1
- drop python2 support
- rebuild for python3.8

* Sat Jan 05 2019 wally <wally> 7.6.5-2.mga7
+ Revision: 1349774
- rebuild for python3.7

* Thu Nov 01 2018 kekepower <kekepower> 7.6.5-1.mga7
+ Revision: 1327517
- imported package python-pylama

